Get bank account metrics
curl --request GET \
--url https://api.sandbox.trio.com.br/banking/metric \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/metric"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/metric', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"collecting_document": {
"failed": 2,
"settled": 12
},
"payment_document": {
"failed": 1,
"settled": 8
}
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Metrics
Get Bank Account Metrics
Get settled and failed totals for collecting and payment documents
GET
/
banking
/
metric
Get bank account metrics
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Bank account ID Unique identifier
From datetime Datetime schema
To datetime Datetime schema
Response
Metrics
Metric response
Collected metric totals
Show child attributes
Show child attributes
Example:
{
"collecting_document": { "failed": 2, "settled": 12 },
"payment_document": { "failed": 1, "settled": 8 }
}
⌘I

